--[[
  CleanMinimap localization file
  
  $Id: localization.lua 77 2005-08-30 06:38:29Z joev $
--]]
CMMSTRINGS = {};
if ( GetLocale() == "deDE" ) then
-------------------------------------------------------------------------------------
-- Deutsche Übersetzung --
-------------------------------------------------------------------------------------
CMMSTRINGS = {
    appName = "Clean Minimap",
    author = {
        name = "joev",
        email = "joev@jarhedz.com",
        aliases = {
            "  Escriven auf EU-Bladefist (A)",
            "  Fifi auf EU-Bladefist (A)",
        },
    },
    credits = {
        {
            name = "Silwyn",
            alias = "",
            task = "NSEW-Anzeige (aus dem EastWest-mod)",
        },    
        {
            name = "Skrag",
            alias = "",
            task = "Bewegung/Grösse code (aus dem MoveAnything-mod)",
        },
        {
            name = "Ade Baumann",
            alias = "Menastheus auf EU-Bladefist (A)",
            task = "Übersetzung DE",
        },    
        {
            name = "Christophe ",
            alias = "Shraz auf EU-Burning Legion (?)",
            task = "Übersetzung FR",
        },    
        { 
            name = "joev",
            alias = "Escriven auf EU-Bladefist (A)",
            task = "Konzept, Design, Produktion, Programmierung",
        },
        { 
            name = "Eli",
            alias = "",
            task = "Meine schöne, intelligente, lustige und vor allem geduldige Ehefrau",
        },
    },
    by = "von",             
    is = "ist",
    are = "sind",
    usage = {
        "Commands:",
        "/cmm on - Schaltet Clean Minimap ein",
        "/cmm off - Schaltet alle Funktionen von clean Minimap aus (Stellt die Original-Minimap wieder her)",
        "/cmm config - Setzt die Optionen der Minimap",
        "/cmm help - Zeigt diesen Hilfetext an",
        "/cmm author - Zeigt Informationen über den Autor dieser Erweiterung an",
        "/cmm credits - Zeigt  Credits für diese Erweiterung an.",
    },
    authorInfo = "Über den Autor:",
    playsAs = "spielt as: ",
    creditsInfo = "Credits:",
    aka = " v/o ",
    initialized = " initialisiert.",
    isNow = " ist jetzt: ",
    areNow = " sind jetzt: ",
    off = "aus",
    on = "ein",
    clock = "Uhr",
    titlebar = "Titelzeile",
    zoomButtons = "Zoom-Buttons",
    nsewIndicators = "NSEW-Anzeigen",
    opacity = "Transparenz",
    size = "Grösse",
    move = "Move the Minimap",
    myAddonsDescription = "Gibt komplette Kontrolle über die Minimap",
    options = {
        title = "CleanMinimap Optionen",
        done = "Beenden",
        buttonOnOffGroupTitle = "CleanMinimap",
        enableMinimap = "Minimap einschalten",
        enableCleanMinimap = "CleanMinimap einschalten",
        buttonOptionsGroupTitle = "Button-Optionen",
        showMinimapButton = "Minimap Button",
        buttonPosition = "Position des Minimap-Buttons",
        mapOptionsGroupTitle = "Komponenten",
        showClockButton = "Tag/Nacht-Uhr einblenden",
        showZoomButton = "Zoom-Buttons einblenden",
        showTitleButton = "Minimap-Titelzeile einblenden",
        showNSEWButton = "NSEW-Anzeigen einblenden",
        sliderGroupTitle = "Transparenz und Grösse",
        opacity = "Minimap-Tranparenz",
        size = "Minimap-Grösse",
        largeSize = "Gross (auf Tastendruck)",
        smallSize = "Klein (auf Tastendruck)",
        modifierOptionsGroupTitle = "Modifier Key Options",
        useShiftButton = "Shift Key",
        useCtrlButton = "Ctrl Key",
        useAltButton = "Alt Key",
        useOneConfig = "Use one config for all characters",    
        iconsGroupTitle = "Minimap Icon Positions",
        zoomInPosition = "ZoomIn Button position",
        zoomOutPosition = "ZoomOut Button position",
        mailPosition = "Mail Icon position",
        trackingPosition = "Tracking Icon position",
        battleGroundPosition = "BattleGrounds Button position",
        meetingStonePosition = "Meeting Stone Button position",
    },
    bindings = {
        title = "CleanMinimap Tastenbelegung",
        toggleOnOff = "CleanMinimap ein/aus",
        toggleOptions = "CleanMinimap Optionen",
        increaseOpacity = "Minimap-Transparenz verringern",
        decreaseOpacity = "Minimap-Transparenz erhöhen",
        toggleSize = "Minimap-Grösse (S/M/L)",
    },
    titan = {
        hint1 = "Hint: Left-click to toggle display",
        hint2 = "of the minimap.",
        hint3 = "Hint: To change the opacity of the",
        hint4 = "of the minimap, hover the mouse",
        hint5 = "over it, hold down the MOD key,",
        hint6 = "and scroll the mouse-wheel.",
    },
};

elseif  ( GetLocale() == "frFR" ) then
-------------------------------------------------------------------------------------
-- Traduction française --
-------------------------------------------------------------------------------------
CMMSTRINGS = {
    appName = "Clean Minimap",
    author = {
        name = "joev",
        email = "joev@jarhedz.com",
        aliases = {
            "  Escriven sur EU-Bladefist (A)",
            "  Fifi sur EU-Bladefist (A)",
        },
    },
    credits = {
        {
            name = "Silwyn",
            alias = "",
            task = "Indicateurs NSEO (d'après le mod EastWest)",
        },    
        {
            name = "Skrag",
            alias = "",
            task = "Mouvement/Taille (d'après le mod MoveAnything)",
        },
        {
            name = "Ade Baumann",
            alias = "Menastheus sur EU-Bladefist (A)",
            task = "Traduction allemande",
        },    
        {
            name = "Christophe ",
            alias = "Shraz sur EU-Burning Legion (?)",
            task = "Traduction française",
        },    
        { 
            name = "joev",
            alias = "Escriven sur EU-Bladefist (A)",
            task = "Concept, Design, Production, Programmation",
        },
        { 
            name = "Eli",
            alias = "",
            task = "Pour être ma belle, intelligente, drôle et par-dessus tout, patiente, femme",
        },
    },
    by = "par",             
    is = "est",
    are = "sont",
    usage = {
        "Commands:",
        "/cmm on - Activation de Clean Minimap",
        "/cmm off - Désactivation de Clean Minimap (retour à la minimap standard)",
        "/cmm config - Configuration de Minimap",
        "/cmm help - Affiche ce texte d'aide",
        "/cmm author - Affiche des informations à propos de l'auteur de ce mod",
        "/cmm credits - Affiche les crédits.",
    },
    authorInfo = "Information sur l'auteur:",
    playsAs = "Joue sous: ",
    creditsInfo = "Crédits:",
    aka = " AKA ",
    initialized = " initialisé.",
    isNow = " est désormais: ",
    areNow = " sont désormais: ",
    off = "désactivé",
    on = "activé",
    clock = "Horloge",
    titlebar = "Barre de titre",
    zoomButtons = "Boutons de Zoom",
    nsewIndicators = "Indicateurs NSEO",
    opacity = "Opacité",
    size = "Taille",
    move = "Déplacer la Minimap",
    myAddonsDescription = "Permet de reconfigurer entièrement votre Minimap",
    options = {
        title = "Options CleanMinimap",
        done = "Terminé",
        buttonOnOffGroupTitle = "CleanMinimap",
        enableMinimap = "Activer Minimap",
        enableCleanMinimap = "Activer CleanMinimap",
        buttonOptionsGroupTitle = "Bouton Options Minimap",
        showMinimapButton = "Montrer le bouton Minimap",
        buttonPosition = "Position du bouton Minimap",
        mapOptionsGroupTitle = "Affichage des éléments",
        showClockButton = "Indicateur Jour/Nuit",
        showZoomButton = "Boutons ± du Zoom",
        showTitleButton = "Barre de titre Minimap",
        showNSEWButton = "Montrer les indicateurs NSEO",
        sliderGroupTitle = "Opacité et taille",
        opacity = "Opacité Minimap",
        size = "Taille Minimap",
        largeSize = "Grande Taille",
        smallSize = "Petite Taille",
        modifierOptionsGroupTitle = "Complément pour les raccourcis",
        useShiftButton = "Touche Shift",
        useCtrlButton = "Touche Ctrl",
        useAltButton = "Touche Alt",
        useOneConfig = "UUtiliser cette config pour tous vos persos",   
        iconsGroupTitle = "Positions des icônes de la Minimap",
        zoomInPosition = "Bouton Zoom avant",
        zoomOutPosition = "Bouton Zoom arrière",
        mailPosition = "Icône courrier",
        trackingPosition = "Coordonnées",
        battleGroundPosition = "Bouton BattleGrounds",
        meetingStonePosition = "Bouton Pierre de rencontre",
    },
    bindings = {
        title = "Raccourcis CleanMinimap",
        toggleOnOff = "CleanMinimap activé/désactivé",
        toggleOptions = "Configuration de CleanMinimap",
        increaseOpacity = "Augmenter l'opacité",
        decreaseOpacity = "Diminuer l'opacité",
        toggleSize = "Changer la taille (P/M/G)",
    },
    titan = {
        hint1 = "Aide: Bouton gauche pour changer",
        hint2 = "l'affichage de la minimap.",
        hint3 = "Aide: Pour changer l'opacité", 
        hint4 = "de la minimap, placer le curseur", 
        hint5 = "sur celle-ci, maintenir la touche MOD",
        hint6 = "puis utiliser la molette de la souris.",
    },
};

--elseif  ( GetLocale() == "koKR" ) then
else
  CMMSTRINGS = {
    appName = "Clean Minimap",
    author = {
        name = "joev",
        email = "joev@jarhedz.com",
        aliases = {
            "  Escriven on EU-Bladefist (A)",
            "  Fifi on EU-Bladefist (A)",
        },
    },
    credits = {
        {
            name = "Silwyn",
            alias = "",
            task = "NSEW indicators (from EastWest mod)",
        },
        {
            name = "Skrag",
            alias = "",
            task = "Movement/Resizing code (from MoveAnything mod)",
        },        
        {
            name = "Ade Baumann",
            alias = "Menastheus on EU-Bladefist (A)",
            task = "DE translations",
        },
        {
            name = "Christophe ",
            alias = "Shraz on EU-Burning Legion (?)",
            task = "DE translations",
        },
        { 
            name = "joev",
            alias = "Escriven on EU-Bladefist (A)",
            task = "Concept, Design, Production, Coding",
        },
        { 
            name = "Eli",
            alias = "",
            task = "Being my beautiful, intelligent, funny and above all, patient, wife",
        },
    },
    by = "by",             
    is = "is",
    are = "are",
    usage = {
        "Commands:",
        "/cmm on - Turns the Clean Minimap functionality on",
        "/cmm off - Turns all the clean Minimap functionality off (revert your minimap to standard)",
        "/cmm config - Set Minimap options",
        "/cmm help - Displays this help text",
        "/cmm author - Displays information about the author of this mod",
        "/cmm credits - Displays credits for this mod.",
    },
    authorInfo = "Author Information:",
    playsAs = "plays as: ",
    creditsInfo = "Credits:",
    aka = " AKA ",
    initialized = " initialized.",
    isNow = " is now: ",
    areNow = " are now: ",
    off = "off",
    on = "on",
    clock = "Clock",
    titlebar = "Titlebar",
    zoomButtons = "Zoom buttons",
    nsewIndicators = "NSEW indicators",
    opacity = "Opacity",
    size = "Size",
    move = "Move the Minimap",
    myAddonsDescription = "Gives you complete control over the Minimap",
    options = {
        title = "CleanMinimap Options",
        done = "Done",
        buttonOnOffGroupTitle = "CleanMinimap",
        enableMinimap = "Enable Minimap",
        enableCleanMinimap = "Enable CleanMinimap",
        buttonOptionsGroupTitle = "Button Options",
        showMinimapButton = "Show Minimap Button",
        buttonPosition = "Minimap button position",
        mapOptionsGroupTitle = "Map Components",
        showClockButton = "Show Day/Night clock",
        showZoomButton = "Show Zoom +/- buttons",
        showTitleButton = "Show Minimap Titlebar",
        showNSEWButton = "Show NSEW indicators",
        sliderGroupTitle = "Opacity and Size",
        opacity = "Minimap opacity",
        size = "Minimap size",
        largeSize = "Large Size (OneKey toggle)",
        smallSize = "Small Size (OneKey toggle)",
        modifierOptionsGroupTitle = "Modifier Key Options",
        useShiftButton = "Shift Key",
        useCtrlButton = "Ctrl Key",
        useAltButton = "Alt Key",
        useOneConfig = "Use one config for all characters",
        iconsGroupTitle = "Minimap Icon Positions",
        zoomInPosition = "ZoomIn Button position",
        zoomOutPosition = "ZoomOut Button position",
        mailPosition = "Mail Icon position",
        trackingPosition = "Tracking Icon position",
        battleGroundPosition = "BattleGrounds Button position",
        meetingStonePosition = "Meeting Stone Button position",
    },
    bindings = {
        title = "CleanMinimap Bindings",
        toggleOnOff = "Toggle CleanMinimap on/off",
        toggleOptions = "Toggle CleanMinimap Options",
        increaseOpacity = "Increase Minimap Opacity",
        decreaseOpacity = "Decrease Minimap Opacity",
        toggleSize = "Toggle Minimap Size (S/M/L)",
    },
    titan = {
        hint1 = "Hint: Left-click to toggle display",
        hint2 = "of the minimap.",
        hint3 = "Hint: To change the opacity of the",
        hint4 = "of the minimap, hover the mouse",
        hint5 = "over it, hold down the MOD key,",
        hint6 = "and scroll the mouse-wheel.",
    },
};

end